do
   local MyUnitIdTable = {
   	 
   	  'uab2306', 
   	  'urb2306', 		
   	  'xab0104',
   	  'ura0309',
   	  'xrb2306',
   	  'xab2308',
   	  'xaa3204',
   	  'xsbse0001',
   	  'uebse0001',
   	  'urbse0001',
   	  'uabse0001',
   }
   --unit icon must be in /icons/units/. Put the full path to the /icons/ folder in here - note no / on the end!
   local MyIconPath ="/mods/BlackOpsTweaks" 
   
   local function IsMyUnit(bpid)
      for i, v in MyUnitIdTable do
         if v == bpid then
            return true
         end
      end
      return false
   end
   
   local oldUpdateWindow = UpdateWindow
   function UpdateWindow(info)
      oldUpdateWindow(info)
      if IsMyUnit(info.blueprintId) and DiskGetFileInfo(MyIconPath .. '/icons/units/' .. info.blueprintId.. '_icon.dds') then
         controls.icon:SetTexture(MyIconPath .. '/icons/units/' .. info.blueprintId .. '_icon.dds')
      end
   end
end